package com.yunfeiyun.agmp.fms.service.impl;

import com.yunfeiyun.agmp.fms.domain.FmsTaskasset;
import com.yunfeiyun.agmp.fms.mapper.FmsTaskassetMapper;
import com.yunfeiyun.agmp.fms.domain.reqvo.FmsTaskAssetUsageReqVo;
import com.yunfeiyun.agmp.fms.domain.reqvo.FmsTaskListReqVo;
import com.yunfeiyun.agmp.fms.domain.resvo.FmsTaskAssetUsageResVo;
import com.yunfeiyun.agmp.fms.service.IFmsTaskassetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 农事任务农资Service业务层处理
 *
 * @author 杨晓辉
 * @date 2023-05-25
 */
@Service
public class FmsTaskassetServiceImpl implements IFmsTaskassetService
{
    @Autowired
    private FmsTaskassetMapper fmsTaskassetMapper;

    /**
     * 查询农事任务农资
     *
     * @param taskassetId 农事任务农资主键
     * @return 农事任务农资
     */
    @Override
    public FmsTaskasset selectFmsTaskassetByTaskassetId(String taskassetId)
    {
        return fmsTaskassetMapper.selectFmsTaskassetByTaskassetId(taskassetId);
    }

    /**
     * 查询农事任务农资列表
     *
     * @param fmsTaskasset 农事任务农资
     * @return 农事任务农资
     */
    @Override
    public List<FmsTaskasset> selectFmsTaskassetList(FmsTaskasset fmsTaskasset)
    {
        return fmsTaskassetMapper.selectFmsTaskassetList(fmsTaskasset);
    }
    
    /**
     * 查询农资使用记录
     *
     * @param fmsTaskAssetUsageReqVo 查询农资使用记录条件实体
     * @return 农资使用记录集合
     */
    @Override
    public List<FmsTaskAssetUsageResVo> selectFmsTaskAssetUsageResVoList(FmsTaskAssetUsageReqVo fmsTaskAssetUsageReqVo) {
        return fmsTaskassetMapper.selectFmsTaskAssetUsageResVoList(fmsTaskAssetUsageReqVo);
    }

    @Override
    public List<FmsTaskAssetUsageResVo> selectFmsTaskAssetByRcdId(String taskrcdId) {
        return fmsTaskassetMapper.selectFmsTaskAssetByRcdId(taskrcdId);
    }

    @Override
    public List<FmsTaskAssetUsageResVo> selectFmsTaskAssetStat(FmsTaskListReqVo reqVo) {
        return fmsTaskassetMapper.selectFmsTaskAssetStat(reqVo);
    }

    /**
     * 新增农事任务农资
     *
     * @param fmsTaskasset 农事任务农资
     * @return 结果
     */
    @Override
    public int insertFmsTaskasset(FmsTaskasset fmsTaskasset)
    {
        return fmsTaskassetMapper.insertFmsTaskasset(fmsTaskasset);
    }

    /**
     * 修改农事任务农资
     *
     * @param fmsTaskasset 农事任务农资
     * @return 结果
     */
    @Override
    public int updateFmsTaskasset(FmsTaskasset fmsTaskasset)
    {
        return fmsTaskassetMapper.updateFmsTaskasset(fmsTaskasset);
    }

    /**
     * 批量删除农事任务农资
     *
     * @param taskassetIds 需要删除的农事任务农资主键
     * @return 结果
     */
    @Override
    public int deleteFmsTaskassetByTaskassetIds(String[] taskassetIds)
    {
        return fmsTaskassetMapper.deleteFmsTaskassetByTaskassetIds(taskassetIds);
    }

    /**
     * 删除农事任务农资信息
     *
     * @param taskassetId 农事任务农资主键
     * @return 结果
     */
    @Override
    public int deleteFmsTaskassetByTaskassetId(String taskassetId)
    {
        return fmsTaskassetMapper.deleteFmsTaskassetByTaskassetId(taskassetId);
    }
}
